=== packaging/debian/control ===
Source: azure-vm-utils
Section: admin
Priority: optional
Maintainer: Chris Patterson <cpatterson@microsoft.com>
Build-Depends: cmake, debhelper-compat (= 12), pkg-config, libcmocka-dev, libjson-c-dev, python3
Standards-Version: 4.5.0
Homepage: https://github.com/Azure/azure-vm-utils
Rules-Requires-Root: no

Package: azure-vm-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, mdadm
Recommends: xfsprogs
Description: Core utilities and configuration for Linux VMs on Azure
 This package provides a home for core utilities, udev rules and other
 configuration to support Linux VMs on Azure.

Package: azure-vm-utils-selftest
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, python3, azure-vm-utils (= ${binary:Version})
Description: Self-test script for Azure VM Utils
 Test script for maintainer sanity checks in various environments.
